SystemOrganization addCategory: #ConfigurationOfNBSQLite3!

Object subclass: #ConfigurationOfNBSQLite3
	instanceVariableNames: 'project'
	classVariableNames: 'LastVersionLoad'
	poolDictionaries: ''
	category: 'ConfigurationOfNBSQLite3'!

!ConfigurationOfNBSQLite3 commentStamp: 'TorstenBergmann 12/15/2014 12:23' prior: 0!
Configuration for NBSQLite3 project!

!ConfigurationOfNBSQLite3 class methodsFor: 'development support' stamp: 'TorstenBergmann 12/15/2014 12:16'!
DevelopmentSupport

"See the methods in the 'development support' category on the class-side of MetacelloBaseConfiguration. Decide what development support methods you would like to use and copy them the the class-side of your configuration."
	<apiDocumentation>
! !

!ConfigurationOfNBSQLite3 class methodsFor: 'private' stamp: 'TorstenBergmann 12/15/2014 12:16'!
baseConfigurationClassIfAbsent: aBlock

	^Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			self ensureMetacelloBaseConfiguration.
			Smalltalk at: #MetacelloBaseConfiguration ifAbsent: aBlock ].
! !

!ConfigurationOfNBSQLite3 class methodsFor: 'private' stamp: 'TorstenBergmann 12/15/2014 12:16'!
ensureMetacello

	(self baseConfigurationClassIfAbsent: []) ensureMetacello! !

!ConfigurationOfNBSQLite3 class methodsFor: 'private' stamp: 'TorstenBergmann 12/15/2014 12:16'!
ensureMetacelloBaseConfiguration

	Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			| repository version |
			repository := MCHttpRepository location: 'http://seaside.gemstone.com/ss/metacello' user: '' password: ''.
			repository
				versionReaderForFileNamed: 'Metacello-Base-DaleHenrichs.2.mcz'
				do: [ :reader | 
					version := reader version.
					version load.
					version workingCopy repositoryGroup addRepository: repository ] ]! !

!ConfigurationOfNBSQLite3 class methodsFor: 'metacello tool support' stamp: 'TorstenBergmann 12/15/2014 12:16'!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!ConfigurationOfNBSQLite3 class methodsFor: 'loading' stamp: 'TorstenBergmann 12/15/2014 12:16'!
load
	"Load the #stable version defined for this platform. The #stable version is the version that is recommended to be used on this platform."

	"self load"

	<apiDocumentation>
	^(self project version: #stable) load! !

!ConfigurationOfNBSQLite3 class methodsFor: 'loading' stamp: 'TorstenBergmann 12/15/2014 12:16'!
loadBleedingEdge
	"Load the latest versions of the mcz files defined for this project. It is not likely that the #bleedingEdge has been tested."

	"self loadBleedingEdge"

	<apiDocumentation>
	^(self project version: #bleedingEdge) load! !

!ConfigurationOfNBSQLite3 class methodsFor: 'loading' stamp: 'TorstenBergmann 12/15/2014 12:16'!
loadDevelopment
	"Load the #development version defined for this platform. The #development version will change over time and is not expected to be stable."

	"self loadDevelopment"

	<apiDocumentation>
	^(self project version: #development) load! !

!ConfigurationOfNBSQLite3 class methodsFor: 'accessing' stamp: 'TorstenBergmann 12/15/2014 12:16'!
project

	^self new project! !

!ConfigurationOfNBSQLite3 class methodsFor: 'development support' stamp: 'TorstenBergmann 12/15/2014 12:16'!
validate
	"Check the configuration for Errors, Critical Warnings, and Warnings (see class comment for MetacelloMCVersionValidator for more information). 
	Errors identify specification issues that will result in unexpected behaviour when you load the configuration. 
	Critical Warnings identify specification issues that may result in unexpected behavior when you load the configuration.
	Warnings identify specification issues that are technically correct, but are worth take a look at."

	"self validate"

	<apiDocumentation>
	self ensureMetacello.
	^ ((Smalltalk at: #MetacelloToolBox) validateConfiguration: self debug: #() recurse: false) explore! !

!ConfigurationOfNBSQLite3 methodsFor: 'baselines' stamp: 'TorstenBergmann 12/15/2014 12:27'!
baseline01: spec
	<version: '0.1-baseline'>

	spec for: #'common' do: [
		spec blessing: #'baseline'.
		spec repository: 'http://smalltalkhub.com/mc/PharoExtras/NBSQLite3/main/'.
		spec 
			package: #'NBSQLite3-Core';
			package: #'NBSQLite3-Examples' with: [
				spec requires: #(#'NBSQLite3-Core' ). ];
			package: #'NBSQLite3-Glorp' with: [
				spec requires: #(#'NBSQLite3-Core' ). ];
			package: #'NBSQLite3-Tests-Core' with: [
				spec requires: #(#'NBSQLite3-Core' ). ];
			package: #'NBSQLite3-Tests-Glorp' with: [
				spec requires: #(#'NBSQLite3-Glorp' #'NBSQLite3-Tests-Core' ). ].
		spec 
			group: 'Core' with: #(#'NBSQLite3-Core' );
			group: 'default' with: #('Core' 'Tests');
			group: 'Examples' with: #(#'NBSQLite3-Examples' );
			group: 'Glorp' with: #(#'NBSQLite3-Glorp' );
			group: 'Tests' with: #(#'NBSQLite3-Tests-Core' );
			group: 'Tests-Glorp' with: #(#'NBSQLite3-Tests-Glorp' ). ].
! !

!ConfigurationOfNBSQLite3 methodsFor: 'accessing' stamp: 'TorstenBergmann 12/15/2014 12:16'!
customProjectAttributes
	 "Edit to return a collection of any custom attributes e.g. for conditional loading: Array with: #'Condition1' with: #'Condition2.
	For more information see: http://code.google.com/p/metacello/wiki/CustomProjectAttrributes"

	^ #().! !

!ConfigurationOfNBSQLite3 methodsFor: 'symbolic versions' stamp: 'TorstenBergmann 12/15/2014 12:22'!
development: spec
	<symbolicVersion: #'development'>

	spec for: #'common' version: '0.1-baseline'.
! !

!ConfigurationOfNBSQLite3 methodsFor: 'accessing' stamp: 'TorstenBergmann 12/15/2014 12:16'!
project

	^ project ifNil: [ 
		"Bootstrap Metacello if it is not already loaded"
		(self class baseConfigurationClassIfAbsent: []) ensureMetacello.
		"Construct Metacello project"
		project := MetacelloMCProject new projectAttributes: self customProjectAttributes. 
		(Smalltalk at: #MetacelloVersionConstructor) on: self project: project.
		project loadType: #linear. "change to #atomic if desired"
		project ]! !

!ConfigurationOfNBSQLite3 methodsFor: 'symbolic versions' stamp: 'TorstenBergmann 12/15/2014 12:22'!
stable: spec
	<symbolicVersion: #'stable'>

	spec for: #'common' version: '1.0'.
! !

!ConfigurationOfNBSQLite3 methodsFor: 'versions' stamp: 'TorstenBergmann 1/17/2015 01:06'!
version10: spec
	<version: '1.0' imports: #('0.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 1.0'.
		spec author: 'TorstenBergmann'.
		spec timestamp: '12/15/2014 12:22'.
		spec 
			package: #'NBSQLite3-Core' with: 'NBSQLite3-Core-TorstenBergmann.3';
			package: #'NBSQLite3-Examples' with: 'NBSQLite3-Examples-TorstenBergmann.1';
			package: #'NBSQLite3-Glorp' with: 'NBSQLite3-Glorp-TorstenBergmann.3';
			package: #'NBSQLite3-Tests-Core' with: 'NBSQLite3-Tests-Core-TorstenBergmann.2';
			package: #'NBSQLite3-Tests-Glorp' with: 'NBSQLite3-Tests-Glorp-TorstenBergmann.1'. ].
! !
